- Qt 5.15
- Qt Quick Controls 1
- QML Types
- TableViewStyle QML Type
- Qt 5.15.19 Reference Documentation

# TableViewStyle QML Type

Provides custom styling for TableView. More...

Import Statement: | import QtQuick.Controls.Styles 1.4
Since: | Qt 5.1
Inherits: | ScrollViewStyle

- List of all members, including inherited members

## Properties

- control : TableView
- headerDelegate : Component
- itemDelegate : Component
- rowDelegate : Component

## Detailed Description

## Property Documentation

control : TableView

The TableView this style is attached to.

headerDelegate : Component

Delegate for header. This delegate is described in TableView.headerDelegate.

itemDelegate : Component

Delegate for item. This delegate is described in TableView.itemDelegate.

rowDelegate : Component

Delegate for row. This delegate is described in TableView.rowDelegate.